=== debian/changelog ===
golang-github-evanw-esbuild (0.7.19-1) unstable; urgency=medium

  * Initial release (Closes: #972851)

 -- Anthony Fok <foka@debian.org>  Sun, 25 Oct 2020 02:14:32 -0600
