## golang-github-evanw-esbuild 0.8.2

=== Makefile ===
--- 
+++ 
@@ -11,11 +11,11 @@
 
 # These tests are for development
 test:
-	make -j5 test-go vet-go verify-source-map end-to-end-tests js-api-tests
+	make -j6 test-go vet-go verify-source-map end-to-end-tests js-api-tests plugin-tests ts-type-tests
 
 # These tests are for release ("test-wasm" is not included in "test" because it's pretty slow)
 test-all:
-	make -j6 test-go vet-go verify-source-map end-to-end-tests js-api-tests test-wasm
+	make -j7 test-go vet-go verify-source-map end-to-end-tests js-api-tests plugin-tests ts-type-tests test-wasm
 
 # This includes tests of some 3rd-party libraries, which can be very slow
 test-extra: test-all test-preact-splitting test-sucrase bench-rome-esbuild test-esprima test-rollup
@@ -43,6 +43,12 @@
 js-api-tests: cmd/esbuild/version.go | scripts/node_modules
 	cd npm/esbuild && npm version "$(ESBUILD_VERSION)" --allow-same-version
 	node scripts/js-api-tests.js
+
+plugin-tests: cmd/esbuild/version.go | scripts/node_modules
+	node scripts/plugin-tests.js
+
+ts-type-tests: | scripts/node_modules
+	node scripts/ts-type-tests.js
 
 cmd/esbuild/version.go: version.txt
 	node -e 'console.log(`package main\n\nconst esbuildVersion = "$(ESBUILD_VERSION)"`)' > cmd/esbuild/version.go
@@ -322,6 +328,3 @@
 
 demo/preact-splitting:
 	mkdir -p demo/preact-splitting/src
-	cd demo/preact-splitting && echo '{}' > package.json && npm i preact@10.4.6 preact-render-to-string@5.1.10
-	cd demo/preact-splitting && for h in $(PREACT_HOOKS); do echo "$(PREACT_SPLITTING)" | sed s/USE/$$h/ > src/$$h.js; done
-
