=== debian/changelog ===
golang-github-evanw-esbuild (0.8.2-1) unstable; urgency=medium

  * New upstream version 0.8.2
  * Update esbuild(1) man page to 0.8.2

 -- Anthony Fok <foka@debian.org>  Tue, 03 Nov 2020 21:30:44 -0700

golang-github-evanw-esbuild (0.7.19-2) unstable; urgency=medium

  * Source-only upload for migration to testing

 -- Anthony Fok <foka@debian.org>  Wed, 28 Oct 2020 17:16:12 -0600
