## golang-github-evanw-esbuild 0.8.3

=== debian/changelog ===
golang-github-evanw-esbuild (0.8.3-1) unstable; urgency=medium

  * New upstream version 0.8.3
  * Update esbuild(1) man page to 0.8.3

 -- Anthony Fok <foka@debian.org>  Thu, 05 Nov 2020 05:41:11 -0700
