## golang-github-evanw-esbuild 0.8.6

=== Makefile ===
--- 
+++ 
@@ -115,7 +115,7 @@
 	test -n "$(OTP)" && echo publish --otp="$(OTP)"
 
 publish-all: cmd/esbuild/version.go test-all test-extra
-	@test master = "`git branch --show-current`" || (echo "Refusing to publish from non-master branch `git branch --show-current`" && false)
+	@test master = "`git rev-parse --abbrev-ref HEAD`" || (echo "Refusing to publish from non-master branch `git rev-parse --abbrev-ref HEAD`" && false)
 	@echo "Checking for unpushed commits..." && git fetch
 	@test "" = "`git cherry`" || (echo "Refusing to publish with unpushed commits" && false)
 	rm -fr npm && git checkout npm
