=== debian/changelog ===
golang-github-evanw-esbuild (0.8.6-1) unstable; urgency=medium

  * New upstream version 0.8.6
  * debian/control: Change Section from devel to golang

 -- Anthony Fok <foka@debian.org>  Mon, 16 Nov 2020 04:30:57 -0700
