## golang-github-evanw-esbuild 0.8.15

=== Makefile ===
--- 
+++ 
@@ -1,13 +1,11 @@
 ESBUILD_VERSION = $(shell cat version.txt)
 
-esbuild: cmd/esbuild/*.go pkg/*/*.go internal/*/*.go go.mod
+esbuild: cmd/esbuild/version.go cmd/esbuild/*.go pkg/*/*.go internal/*/*.go go.mod
 	go build "-ldflags=-s -w" ./cmd/esbuild
 
-npm/esbuild-wasm/esbuild.wasm: cmd/esbuild/*.go pkg/*/*.go internal/*/*.go
+npm/esbuild-wasm/esbuild.wasm: cmd/esbuild/version.go cmd/esbuild/*.go pkg/*/*.go internal/*/*.go
+	cp "$(shell go env GOROOT)/misc/wasm/wasm_exec.js" npm/esbuild-wasm/wasm_exec.js
 	GOOS=js GOARCH=wasm go build -o npm/esbuild-wasm/esbuild.wasm ./cmd/esbuild
-
-npm/esbuild-wasm/wasm_exec.js:
-	cp "$(shell go env GOROOT)/misc/wasm/wasm_exec.js" npm/esbuild-wasm/wasm_exec.js
 
 # These tests are for development
 test:
@@ -18,7 +16,10 @@
 	make -j7 test-go vet-go verify-source-map end-to-end-tests js-api-tests plugin-tests ts-type-tests test-wasm
 
 # This includes tests of some 3rd-party libraries, which can be very slow
-test-extra: test-all test-preact-splitting test-sucrase bench-rome-esbuild test-esprima test-rollup
+test-prepublish: check-go-version test-all test-preact-splitting test-sucrase bench-rome-esbuild test-esprima test-rollup
+
+check-go-version:
+	@go version | grep 'go1\.15\.5' || (echo 'Please install Go version 1.15.5' && false)
 
 test-go:
 	go test ./internal/...
@@ -29,8 +30,9 @@
 fmt-go:
 	go fmt ./cmd/... ./internal/... ./pkg/...
 
-test-wasm:
+test-wasm: platform-wasm
 	PATH="$(shell go env GOROOT)/misc/wasm:$$PATH" GOOS=js GOARCH=wasm go test ./internal/...
+	npm/esbuild-wasm/bin/esbuild --version
 
 verify-source-map: cmd/esbuild/version.go | scripts/node_modules
 	cd npm/esbuild && npm version "$(ESBUILD_VERSION)" --allow-same-version
@@ -54,7 +56,7 @@
 	node -e 'console.log(`package main\n\nconst esbuildVersion = "$(ESBUILD_VERSION)"`)' > cmd/esbuild/version.go
 
 platform-all: cmd/esbuild/version.go test-all
-	make -j11 \
+	make -j8 \
 		platform-windows \
 		platform-windows-32 \
 		platform-darwin \
@@ -63,6 +65,7 @@
 		platform-linux \
 		platform-linux-32 \
 		platform-linux-arm64 \
+		platform-linux-mips64le \
 		platform-linux-ppc64le \
 		platform-wasm \
 		platform-neutral
@@ -99,10 +102,13 @@
 platform-linux-arm64:
 	make GOOS=linux GOARCH=arm64 NPMDIR=npm/esbuild-linux-arm64 platform-unixlike
 
+platform-linux-mips64le:
+	make GOOS=linux GOARCH=mips64le NPMDIR=npm/esbuild-linux-mips64le platform-unixlike
+
 platform-linux-ppc64le:
 	make GOOS=linux GOARCH=ppc64le NPMDIR=npm/esbuild-linux-ppc64le platform-unixlike
 
-platform-wasm: esbuild npm/esbuild-wasm/esbuild.wasm | scripts/node_modules npm/esbuild-wasm/wasm_exec.js
+platform-wasm: esbuild npm/esbuild-wasm/esbuild.wasm | scripts/node_modules
 	cd npm/esbuild-wasm && npm version "$(ESBUILD_VERSION)" --allow-same-version
 	mkdir -p npm/esbuild-wasm/lib
 	node scripts/esbuild.js ./esbuild --wasm
@@ -114,7 +120,7 @@
 test-otp:
 	test -n "$(OTP)" && echo publish --otp="$(OTP)"
 
-publish-all: cmd/esbuild/version.go test-all test-extra
+publish-all: cmd/esbuild/version.go test-prepublish
 	@test master = "`git rev-parse --abbrev-ref HEAD`" || (echo "Refusing to publish from non-master branch `git rev-parse --abbrev-ref HEAD`" && false)
 	@echo "Checking for unpushed commits..." && git fetch
 	@test "" = "`git cherry`" || (echo "Refusing to publish with unpushed commits" && false)
@@ -131,9 +137,13 @@
 		publish-linux \
 		publish-linux-32 \
 		publish-linux-arm64 \
-		publish-linux-ppc64le \
+		publish-linux-mips64le \
+		publish-linux-ppc64le
+	# Do these last to avoid race conditions
+	@echo Enter one-time password:
+	@read OTP && OTP="$$OTP" make -j2 \
+		publish-neutral \
 		publish-wasm
-	make publish-neutral # Do this after to avoid race conditions
 	git commit -am "publish $(ESBUILD_VERSION) to npm"
 	git tag "v$(ESBUILD_VERSION)"
 	git push origin master "v$(ESBUILD_VERSION)"
@@ -162,6 +172,9 @@
 publish-linux-arm64: platform-linux-arm64
 	test -n "$(OTP)" && cd npm/esbuild-linux-arm64 && npm publish --otp="$(OTP)"
 
+publish-linux-mips64le: platform-linux-mips64le
+	test -n "$(OTP)" && cd npm/esbuild-linux-mips64le && npm publish --otp="$(OTP)"
+
 publish-linux-ppc64le: platform-linux-ppc64le
 	test -n "$(OTP)" && cd npm/esbuild-linux-ppc64le && npm publish --otp="$(OTP)"
 
@@ -169,7 +182,7 @@
 	test -n "$(OTP)" && cd npm/esbuild-wasm && npm publish --otp="$(OTP)"
 
 publish-neutral: platform-neutral
-	cd npm/esbuild && npm publish
+	test -n "$(OTP)" && cd npm/esbuild && npm publish --otp="$(OTP)"
 
 clean:
 	rm -f esbuild
@@ -181,6 +194,7 @@
 	rm -rf npm/esbuild-linux-32/bin
 	rm -rf npm/esbuild-linux-64/bin
 	rm -rf npm/esbuild-linux-arm64/bin
+	rm -rf npm/esbuild-linux-mips64le/bin
 	rm -rf npm/esbuild-linux-ppc64le/bin
 	rm -f npm/esbuild-wasm/esbuild.wasm npm/esbuild-wasm/wasm_exec.js
 	rm -rf npm/esbuild/lib
@@ -310,21 +324,3 @@
 
 PREACT_SPLITTING += import { h } from 'preact';
 PREACT_SPLITTING += import { USE as use } from 'preact/hooks';
-PREACT_SPLITTING += import { renderToString } from 'preact-render-to-string';
-PREACT_SPLITTING += let Component = () => (use(() => {}), h('div'));
-PREACT_SPLITTING += if (renderToString(h(Component)) !== '<div></div>') throw 'fail';
-
-PREACT_HOOKS += useCallback
-PREACT_HOOKS += useContext
-PREACT_HOOKS += useDebugValue
-PREACT_HOOKS += useEffect
-PREACT_HOOKS += useErrorBoundary
-PREACT_HOOKS += useImperativeHandle
-PREACT_HOOKS += useLayoutEffect
-PREACT_HOOKS += useMemo
-PREACT_HOOKS += useReducer
-PREACT_HOOKS += useRef
-PREACT_HOOKS += useState
-
-demo/preact-splitting:
-	mkdir -p demo/preact-splitting/src
