=== debian/changelog ===
golang-github-evanw-esbuild (0.8.15-1) unstable; urgency=medium

  * New upstream version 0.8.15
  * Remove unnecessary dependency kylelemons/godebug as per upstream
  * Update esbuild(1) man page to 0.8.15
  * Bump Standards-Version to 4.5.1 (no change)

 -- Anthony Fok <foka@debian.org>  Wed, 02 Dec 2020 00:39:26 -0700
