=== debian/control ===
--- 
+++ 
@@ -7,9 +7,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
-               golang-github-kylelemons-godebug-dev (>= 1.1.0),
                golang-golang-x-sys-dev (>= 0.0~git20200501.bc7a7d4)
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-evanw-esbuild
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-evanw-esbuild.git
 Homepage: https://github.com/evanw/esbuild
@@ -18,8 +17,7 @@
 
 Package: golang-github-evanw-esbuild-dev
 Architecture: all
-Depends: golang-github-kylelemons-godebug-dev (>= 1.1.0),
-         golang-golang-x-sys-dev (>= 0.0~git20200501.bc7a7d4),
+Depends: golang-golang-x-sys-dev (>= 0.0~git20200501.bc7a7d4),
          ${misc:Depends}
 Description: extremely fast JavaScript bundler and minifier (library)
  esbuild is a JavaScript bundler and minifier.  It packages up
