## golang-github-evanw-esbuild 0.8.28

=== Makefile ===
--- 
+++ 
@@ -7,13 +7,15 @@
 	cp "$(shell go env GOROOT)/misc/wasm/wasm_exec.js" npm/esbuild-wasm/wasm_exec.js
 	GOOS=js GOARCH=wasm go build -o npm/esbuild-wasm/esbuild.wasm ./cmd/esbuild
 
+test:
+	make -j6 test-common
+
 # These tests are for development
-test:
-	make -j6 test-go vet-go verify-source-map end-to-end-tests js-api-tests plugin-tests ts-type-tests
-
-# These tests are for release ("test-wasm" is not included in "test" because it's pretty slow)
+test-common: test-go vet-go verify-source-map end-to-end-tests js-api-tests plugin-tests register-test
+
+# These tests are for release (the extra tests are not included in "test" because they are pretty slow)
 test-all:
-	make -j7 test-go vet-go verify-source-map end-to-end-tests js-api-tests plugin-tests ts-type-tests test-wasm
+	make -j6 test-common ts-type-tests test-wasm-node test-wasm-browser
 
 # This includes tests of some 3rd-party libraries, which can be very slow
 test-prepublish: check-go-version test-all test-preact-splitting test-sucrase bench-rome-esbuild test-esprima test-rollup
@@ -30,10 +32,17 @@
 fmt-go:
 	go fmt ./cmd/... ./internal/... ./pkg/...
 
-test-wasm: platform-wasm
+test-wasm-node: platform-wasm
 	PATH="$(shell go env GOROOT)/misc/wasm:$$PATH" GOOS=js GOARCH=wasm go test ./internal/...
 	npm/esbuild-wasm/bin/esbuild --version
 
+test-wasm-browser: platform-wasm | scripts/browser/node_modules
+	cd scripts/browser && node browser-tests.js
+
+register-test: cmd/esbuild/version.go | scripts/node_modules
+	cd npm/esbuild && npm version "$(ESBUILD_VERSION)" --allow-same-version
+	node scripts/register-test.js
+
 verify-source-map: cmd/esbuild/version.go | scripts/node_modules
 	cd npm/esbuild && npm version "$(ESBUILD_VERSION)" --allow-same-version
 	node scripts/verify-source-map.js
@@ -51,6 +60,9 @@
 
 ts-type-tests: | scripts/node_modules
 	node scripts/ts-type-tests.js
+
+lib-typecheck: | lib/node_modules
+	cd lib && node_modules/.bin/tsc -noEmit -p .
 
 cmd/esbuild/version.go: version.txt
 	node -e 'console.log(`package main\n\nconst esbuildVersion = "$(ESBUILD_VERSION)"`)' > cmd/esbuild/version.go
@@ -64,6 +76,7 @@
 		platform-freebsd-arm64 \
 		platform-linux \
 		platform-linux-32 \
+		platform-linux-arm \
 		platform-linux-arm64 \
 		platform-linux-mips64le \
 		platform-linux-ppc64le \
@@ -99,6 +112,9 @@
 platform-linux-32:
 	make GOOS=linux GOARCH=386 NPMDIR=npm/esbuild-linux-32 platform-unixlike
 
+platform-linux-arm:
+	make GOOS=linux GOARCH=arm NPMDIR=npm/esbuild-linux-arm platform-unixlike
+
 platform-linux-arm64:
 	make GOOS=linux GOARCH=arm64 NPMDIR=npm/esbuild-linux-arm64 platform-unixlike
 
@@ -113,7 +129,7 @@
 	mkdir -p npm/esbuild-wasm/lib
 	node scripts/esbuild.js ./esbuild --wasm
 
-platform-neutral: esbuild | scripts/node_modules
+platform-neutral: esbuild lib-typecheck | scripts/node_modules
 	cd npm/esbuild && npm version "$(ESBUILD_VERSION)" --allow-same-version
 	node scripts/esbuild.js ./esbuild
 
@@ -126,16 +142,19 @@
 	@test "" = "`git cherry`" || (echo "Refusing to publish with unpushed commits" && false)
 	rm -fr npm && git checkout npm
 	@echo Enter one-time password:
-	@read OTP && OTP="$$OTP" make -j5 \
+	@read OTP && OTP="$$OTP" make -j4 \
 		publish-windows \
 		publish-windows-32 \
-		publish-darwin \
 		publish-freebsd \
 		publish-freebsd-arm64
 	@echo Enter one-time password:
-	@read OTP && OTP="$$OTP" make -j5 \
+	@read OTP && OTP="$$OTP" make -j4 \
+		publish-darwin \
 		publish-linux \
-		publish-linux-32 \
+		publish-linux-32
+	@echo Enter one-time password:
+	@read OTP && OTP="$$OTP" make -j4 \
+		publish-linux-arm \
 		publish-linux-arm64 \
 		publish-linux-mips64le \
 		publish-linux-ppc64le
@@ -169,6 +188,9 @@
 publish-linux-32: platform-linux-32
 	test -n "$(OTP)" && cd npm/esbuild-linux-32 && npm publish --otp="$(OTP)"
 
+publish-linux-arm: platform-linux-arm
+	test -n "$(OTP)" && cd npm/esbuild-linux-arm && npm publish --otp="$(OTP)"
+
 publish-linux-arm64: platform-linux-arm64
 	test -n "$(OTP)" && cd npm/esbuild-linux-arm64 && npm publish --otp="$(OTP)"
 
@@ -193,6 +215,7 @@
 	rm -rf npm/esbuild-freebsd-amd64/bin
 	rm -rf npm/esbuild-linux-32/bin
 	rm -rf npm/esbuild-linux-64/bin
+	rm -rf npm/esbuild-linux-arm/bin
 	rm -rf npm/esbuild-linux-arm64/bin
 	rm -rf npm/esbuild-linux-mips64le/bin
 	rm -rf npm/esbuild-linux-ppc64le/bin
@@ -227,24 +250,25 @@
 require/parcel/node_modules:
 	mkdir -p require/parcel
 	echo '{}' > require/parcel/package.json
-	cd require/parcel && npm install parcel@1.12.4
+	cd require/parcel && npm install parcel@1.12.4 typescript@4.1.2
 
 	# Fix a bug where parcel doesn't know about one specific node builtin module
 	mkdir -p require/parcel/node_modules/inspector
 	touch require/parcel/node_modules/inspector/index.js
 
-require/fusebox/node_modules:
-	mkdir -p require/fusebox
-	echo '{}' > require/fusebox/package.json
-	cd require/fusebox && npm install fuse-box@4.0.0-next.444
-
 require/parcel2/node_modules:
 	mkdir -p require/parcel2
 	echo '{}' > require/parcel2/package.json
-	cd require/parcel2 && npm install parcel@2.0.0-nightly.420 @parcel/transformer-typescript-tsc@2.0.0-beta.1 typescript@3.9.5
+	cd require/parcel2 && npm install parcel@2.0.0-nightly.475 @parcel/transformer-typescript-tsc@2.0.0-nightly.477 typescript@4.1.2
+
+lib/node_modules:
+	cd lib && npm ci
 
 scripts/node_modules:
 	cd scripts && npm ci
+
+scripts/browser/node_modules:
+	cd scripts/browser && npm ci
 
 ################################################################################
 # This downloads the kangax compat-table and generates browser support mappings
@@ -311,16 +335,3 @@
 	cp -RP github/rollup/ demo/rollup
 	cd demo/rollup && npm ci
 
-	# Patch over Rollup's custom "package.json" alias using "tsconfig.json"
-	cat demo/rollup/tsconfig.json | sed 's/$(TEST_ROLLUP_FIND)/$(TEST_ROLLUP_REPLACE)/' > demo/rollup/tsconfig2.json
-	mv demo/rollup/tsconfig2.json demo/rollup/tsconfig.json
-
-test-rollup: esbuild | demo/rollup
-	cd demo/rollup && ../../esbuild $(TEST_ROLLUP_FLAGS) && npm run test:only
-	cd demo/rollup && ../../esbuild $(TEST_ROLLUP_FLAGS) --minify && npm run test:only
-
-################################################################################
-# This builds Sucrase using esbuild and then uses it to run Sucrase's test suite
-
-PREACT_SPLITTING += import { h } from 'preact';
-PREACT_SPLITTING += import { USE as use } from 'preact/hooks';
