=== debian/changelog ===
golang-github-evanw-esbuild (0.8.28-1) unstable; urgency=medium

  * New upstream version 0.8.28
  * Bump build-dependency on golang-any to (>= 2:1.13~)
    as per go.mod
  * Update esbuild(1) man page to 0.8.28

 -- Anthony Fok <foka@debian.org>  Thu, 31 Dec 2020 17:39:50 -0700
