## golang-github-evanw-esbuild 0.8.39

=== Makefile ===
--- 
+++ 
@@ -3,15 +3,11 @@
 esbuild: cmd/esbuild/version.go cmd/esbuild/*.go pkg/*/*.go internal/*/*.go go.mod
 	go build "-ldflags=-s -w" ./cmd/esbuild
 
-npm/esbuild-wasm/esbuild.wasm: cmd/esbuild/version.go cmd/esbuild/*.go pkg/*/*.go internal/*/*.go
-	cp "$(shell go env GOROOT)/misc/wasm/wasm_exec.js" npm/esbuild-wasm/wasm_exec.js
-	GOOS=js GOARCH=wasm go build -o npm/esbuild-wasm/esbuild.wasm ./cmd/esbuild
-
 test:
 	make -j6 test-common
 
 # These tests are for development
-test-common: test-go vet-go verify-source-map end-to-end-tests js-api-tests plugin-tests register-test
+test-common: test-go vet-go no-filepath verify-source-map end-to-end-tests js-api-tests plugin-tests register-test
 
 # These tests are for release (the extra tests are not included in "test" because they are pretty slow)
 test-all:
@@ -21,7 +17,7 @@
 test-prepublish: check-go-version test-all test-preact-splitting test-sucrase bench-rome-esbuild test-esprima test-rollup
 
 check-go-version:
-	@go version | grep 'go1\.15\.5' || (echo 'Please install Go version 1.15.5' && false)
+	@go version | grep 'go1\.15\.7' || (echo 'Please install Go version 1.15.7' && false)
 
 test-go:
 	go test ./internal/...
@@ -32,9 +28,13 @@
 fmt-go:
 	go fmt ./cmd/... ./internal/... ./pkg/...
 
-test-wasm-node: platform-wasm
+no-filepath:
+	@! grep --color --include '*.go' -r '"path/filepath"' cmd internal pkg || ( \
+		echo 'error: Use of "path/filepath" is disallowed. See http://golang.org/issue/43768.' && false)
+
+test-wasm-node: esbuild
 	PATH="$(shell go env GOROOT)/misc/wasm:$$PATH" GOOS=js GOARCH=wasm go test ./internal/...
-	npm/esbuild-wasm/bin/esbuild --version
+	node scripts/wasm-tests.js
 
 test-wasm-browser: platform-wasm | scripts/browser/node_modules
 	cd scripts/browser && node browser-tests.js
@@ -66,6 +66,26 @@
 
 cmd/esbuild/version.go: version.txt
 	node -e 'console.log(`package main\n\nconst esbuildVersion = "$(ESBUILD_VERSION)"`)' > cmd/esbuild/version.go
+
+wasm-napi-exit0-darwin:
+	node -e 'console.log(`#include <unistd.h>\nvoid* napi_register_module_v1(void* a, void* b) { _exit(0); }`)' \
+		| clang -x c -dynamiclib -mmacosx-version-min=10.5 -o npm/esbuild-wasm/exit0/darwin-x64-LE.node -
+	ls -l npm/esbuild-wasm/exit0/darwin-x64-LE.node
+
+wasm-napi-exit0-linux:
+	node -e 'console.log(`#include <unistd.h>\nvoid* napi_register_module_v1(void* a, void* b) { _exit(0); }`)' \
+		| gcc -x c -shared -o npm/esbuild-wasm/exit0/linux-x64-LE.node -
+	strip npm/esbuild-wasm/exit0/linux-x64-LE.node
+	ls -l npm/esbuild-wasm/exit0/linux-x64-LE.node
+
+wasm-napi-exit0-windows:
+	# This isn't meant to be run directly but is a rough overview of the instructions
+	echo '__declspec(dllexport) void* napi_register_module_v1(void* a, void* b) { ExitProcess(0); }' > main.c
+	echo 'setlocal' > main.bat
+	echo 'call "C:\Program Files (x86)\Microsoft Visual Studio\2019\Community\VC\Auxiliary\Build\vcvarsall.bat" x64' >> main.bat
+	echo 'cl.exe /LD main.c /link /DLL /NODEFAULTLIB /NOENTRY kernel32.lib /OUT:npm/esbuild-wasm/exit0/win32-x64-LE.node' >> main.bat
+	main.bat
+	rm -f main.*
 
 platform-all: cmd/esbuild/version.go test-all
 	make -j8 \
@@ -124,9 +144,8 @@
 platform-linux-ppc64le:
 	make GOOS=linux GOARCH=ppc64le NPMDIR=npm/esbuild-linux-ppc64le platform-unixlike
 
-platform-wasm: esbuild npm/esbuild-wasm/esbuild.wasm | scripts/node_modules
+platform-wasm: esbuild | scripts/node_modules
 	cd npm/esbuild-wasm && npm version "$(ESBUILD_VERSION)" --allow-same-version
-	mkdir -p npm/esbuild-wasm/lib
 	node scripts/esbuild.js ./esbuild --wasm
 
 platform-neutral: esbuild lib-typecheck | scripts/node_modules
@@ -222,6 +241,9 @@
 	rm -f npm/esbuild-wasm/esbuild.wasm npm/esbuild-wasm/wasm_exec.js
 	rm -rf npm/esbuild/lib
 	rm -rf npm/esbuild-wasm/lib
+	rm -rf require/*/bench/
+	rm -rf require/*/demo/
+	rm -rf require/*/node_modules/
 	go clean -testcache ./internal/...
 
 # This also cleans directories containing cached code from other projects
@@ -233,33 +255,23 @@
 # because we want to install the same package name at multiple versions
 
 require/webpack/node_modules:
-	mkdir -p require/webpack
-	echo '{}' > require/webpack/package.json
-	cd require/webpack && npm install webpack@4.44.2 webpack-cli@3.3.12 ts-loader@8.0.4 typescript@4.0.3
+	cd require/webpack && npm ci
 
 require/webpack5/node_modules:
-	mkdir -p require/webpack5
-	echo '{}' > require/webpack5/package.json
-	cd require/webpack5 && npm install webpack@5.0.0-rc.4 webpack-cli@4.0.0-rc.1 ts-loader@8.0.4 typescript@4.0.3
+	cd require/webpack5 && npm ci
 
 require/rollup/node_modules:
-	mkdir -p require/rollup
-	echo '{}' > require/rollup/package.json
-	cd require/rollup && npm install rollup@2.29.0 rollup-plugin-terser@7.0.2
+	cd require/rollup && npm ci
 
 require/parcel/node_modules:
-	mkdir -p require/parcel
-	echo '{}' > require/parcel/package.json
-	cd require/parcel && npm install parcel@1.12.4 typescript@4.1.2
+	cd require/parcel && npm ci
 
 	# Fix a bug where parcel doesn't know about one specific node builtin module
 	mkdir -p require/parcel/node_modules/inspector
 	touch require/parcel/node_modules/inspector/index.js
 
 require/parcel2/node_modules:
-	mkdir -p require/parcel2
-	echo '{}' > require/parcel2/package.json
-	cd require/parcel2 && npm install parcel@2.0.0-nightly.475 @parcel/transformer-typescript-tsc@2.0.0-nightly.477 typescript@4.1.2
+	cd require/parcel2 && npm ci
 
 lib/node_modules:
 	cd lib && npm ci
@@ -322,16 +334,3 @@
 TEST_ROLLUP_FLAGS += --bundle
 TEST_ROLLUP_FLAGS += --external:fsevents
 TEST_ROLLUP_FLAGS += --outfile=dist/rollup.js
-TEST_ROLLUP_FLAGS += --platform=node
-TEST_ROLLUP_FLAGS += --target=es6
-TEST_ROLLUP_FLAGS += src/node-entry.ts
-
-github/rollup:
-	mkdir -p github
-	git clone --depth 1 --branch v2.15.0 https://github.com/rollup/rollup.git github/rollup
-
-demo/rollup: | github/rollup
-	mkdir -p demo
-	cp -RP github/rollup/ demo/rollup
-	cd demo/rollup && npm ci
-
