=== debian/changelog ===
golang-github-evanw-esbuild (0.8.39-1) unstable; urgency=medium

  * New upstream version 0.8.39
  * Update esbuild(1) man page to 0.8.39

 -- Anthony Fok <foka@debian.org>  Mon, 01 Feb 2021 06:16:09 -0700
